Subject: [PATCH net-next] asix: silence log message from oversize packet

From: Stephen Hemminger <[email-masked]>
Date: Thu, 17 Dec 2015 17:51:16 -0800

Since it is possible for an external system to send oversize packets
at anytime, it is best for driver not to print a message and spam
the log (potential external DoS).

Fixes: https://bugzilla.kernel.org/show_bug.cgi?id=109471

Signed-off-by: Stephen Hemminger <[email-masked]>

--- a/drivers/net/usb/asix_common.c	2015-10-16 16:05:30.997785598 -0700
+++ b/drivers/net/usb/asix_common.c	2015-12-17 17:50:30.983973764 -0800
@@ -118,7 +118,7 @@ int asix_rx_fixup_internal(struct usbnet
 				return 0;
 			}
 			if (size > dev->net->mtu + ETH_HLEN + VLAN_HLEN) {
-				netdev_err(dev->net, "asix_rx_fixup() Bad RX Length %d\n",
+				netdev_dbg(dev->net, "asix_rx_fixup() Bad RX Length %d\n",
 					   size);
 				return 0;
 			}